Поддержка Проблемы и решения Плагин FV Player не устраивают скрипты

Просмотр 4 ответов — с 1 по 4 (всего 4)
  • Модератор Yui

    (@fierevere)

    永子

    Да он и установлен и отказывается воспроизводить видео. Пишет:»Похоже, что на вашем сайте несколько библиотек jQuery, ваши видео могут не воспроизводиться или воспроизводиться с дефектами, проверьте.» «Найдена библиотека jQuery http://romi/wp-includes/js/jquery/jquery.js?ver=1.12.4-wp» «Найдена библиотека jQuery http://romi/wp-content/themes/romi/js/jquery/jquery-2.2.4.min.js» Так что одна из библиотек лишняя. 1.12.4 — это встроенная . А 2.2.4 — я установил. Но так и на других сайтах и у всех так. Что этому скрипту надо?

    Модератор Yui

    (@fierevere)

    永子

    Потому что у вас тема неправильная, вероятно самописная,
    темы или плагины никогда не должны подключать свои версии jQuery, а использовать то, что поставляется с WordPress (в принципе возможны исключения, но лучше так все равно не делать, а использовать штатную версию)

    Кстати скоро уже выйдет WP 5.6, там будет jQuery 3.5
    можете установить RC и обновить вашу самописную тему для использования jQuery 3.5, плагин плеера скорее всего тоже обновится.

    • Ответ изменён 3 года, 4 месяца назад пользователем Yui.

    Спасибо. Да тема самописная. Буду разбираться

Просмотр 4 ответов — с 1 по 4 (всего 4)
  • Тема «Плагин FV Player не устраивают скрипты» закрыта для новых ответов.